Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std
Class SearchHit

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.SearchHit

public class SearchHit
extends Behavior

Record for search hits, to be passed around in the semantic event "searchHits". Useful for search visualizations. x@deprecated - just send around Spans, and now that during "formattedAfter", search viz can compute geometric position as it wants

Version:
  $Revision$ $Date$

Field Summary
`Span` | `span`
`int` | `x` Geometric position for search visualizations.
`int` | `y` Geometric position for search visualizations.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`SearchHit(Span span, int x, int y)`

Method Summary

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, semanticEventAfter, semanticEventBefore, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### span

    public Span span

### x

    public int x

  Geometric position for search visualizations.

### y

    public int y

  Geometric position for search visualizations.

Constructor Detail

### SearchHit

    public SearchHit(Span span,
                     int x,
                     int y)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD